get
https://api.zenoti.com/v1/centers//attendance?date=
This API retrieves the attendance of all the employees at a center on the specified date.
You must specify the unique identifier of the center as CenterId and the required date as Date in the API request.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response Details
| Name | Type | Description |
|---|---|---|
| employee_id | guid | Unique 32-character identifier of an employee. |
| date | datetime | Date and time of the employee's attendance. |
| expected_check_in_time | string | Time (format: "hh:mm") at which the employee's check-in is expected. |
| expected_check_out_time | string | Time (format: "hh:mm") at which the employee's check-out is expected. |
| actual_check_in_time | string | Time (format: "hh:mm") at which the employee's check-in has actually occurred. |
| actual_check_out_time | string | Time (format: "hh:mm") at which the employee's check-out has actually occurred. |
error Object
| code | message |
|---|---|
| 401 | Authorization has been denied for this request. |
| 502 | invalid center is passed in the request. |
| 400 | The request is invalid. |
| 438 | user does not have authorization. |
